import kqml.Handler;
import kqml.KqmlAgent;
import kqml.Message;

public class EgClient
{
    private static final String ASK_ONE    = "ask-one";
    private static final String DEST       = "SampleServer";
    private static final String DIE        = "die";
    private static final String GREETING   = "Hello from the client";

    private static KqmlAgent agent = null;

    public static void main(String args[])
    {
		//
		// Check if at least one argument present, and its `-d' then send 
		// the client a "die" performative
		//
        if ((args.length > 0 && args[0].equals("-d")))
			doClient(DIE);
		else
			doClient(ASK_ONE);
    }

    public static void doClient(String performative)
    {
        try
        {
            agent = new KqmlAgent("SampleClient");

            try
            {
                Message msg = new Message (performative, GREETING, DEST, agent);
                System.out.println("Sending " + msg.getPerformative() +
                        " with message `" + msg.getContents() +
                        "' to agent " + msg.getReceiver());
				if (performative.equals(DIE))
					msg.send();
				else
				{
					Message inMsg = msg.sendAndAwaitReply();
					System.out.println("Received reply==>\n  Performative = " +
							inMsg.getPerformative() + "\n  content message = " +
							inMsg.getContents());
				}
            }
            catch (kqml.KqmlException e)            { printException(e); }
			agent.shutdown();
        }
        catch (kqml.KqmlAgentRegistrationFailure e) { printException(e); }
        catch (kqml.KqmlAgentInitFailure e)         { printException(e); }
    }

    private static void printException(Exception e)
    {
        System.out.println(e.getMessage());
    }
}
