import kqml.Handler;
import kqml.KqmlAgent;
import kqml.Message;
import kqml.Reply;

public class EgServer
{
    private static final String ASK_ONE     = "ask-one";
    private static final String DIE         = "die";
    private static final long   SLEEP_TIME  = 1000;
    private static KqmlAgent    agent = null;

    public static void main(String args[])
	{
		doServer();
	}

    public static void doServer()
    {
        try
        {
			EgServer server = new EgServer();
            agent = new KqmlAgent("SampleServer");
            agent.registerHandler(ASK_ONE, (Handler)(server.new AskOne()));
            agent.registerHandler(DIE,     (Handler)(server.new Die()));

			//
			// Sleep in a loop forever.  If a "die" is received, the
			// die handler will shutdown and exit.
			//
            while (true)
            {
                try                           { Thread.sleep(SLEEP_TIME); }
                catch(InterruptedException e) { printException(e); }
            }

        }
        catch (kqml.KqmlAgentRegistrationFailure e) { printException(e); }
        catch (kqml.KqmlAgentInitFailure e)         { printException(e); }
    }

    private static void printException(Exception e)
    {
        System.out.println(e.getMessage());
    }

	class AskOne implements Handler
	{
		public Reply handler(Message msg)
		{
			System.out.println(msg.getPerformative() + " handler received ==> "
						+ msg.getContents());
			return (Reply.reply("A Greeting back from the server"));
		}
    }

	class Die implements Handler
	{
		public Reply handler(Message msg)
		{
			System.out.println(msg.getPerformative() + " handler received ==> "
						+ msg.getContents());
			agent.shutdown();	// must be a "nested" class to have "agent"
								// in scope
			System.exit(0);
			return (null);		// needed for the compiler
		}
	}
}
