/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         InvalidKQMLMsgException.java
**
** Description:  Contains constructors for InvalidKQMLMsgException objects.
**
*/
package kqml;

/**
 * A class to throw an exception when a KQML message object is missing
 * its performative (is null or its length is 0).
 *
 * @author Michael Horton
 * @author Peter Stevens
 * @version $Revision: 1.4 $
 * @see KqmlException
 * @see Message
 */

public class InvalidKQMLMsgException extends KqmlException
{
    // Constructors
    public InvalidKQMLMsgException()         { super(); }
    public InvalidKQMLMsgException(String s) { super(s); };
}
