/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         InvalidKQMLLongInputException.java
**
** Description:  Contains constructors for InvalidKQMLLongInputException
**               objects.
**
*/
package kqml;

/**
 * A class to throw an exception when constructing a KrilWrapper for
 * a long or an array of longs, when the long has a value that must
 * represent by more that 32 bits.  Longs are converted to a C unsigned 
 * long value for C or C++ agents. 
 *
 * @author Peter Stevens
 * @version $Revision: 1.3 $
 * @see KQMLException
 * @see Message
 */

public class InvalidLongInputException extends KqmlException
{
    // Constructors
    public InvalidLongInputException()         { super(); }
    public InvalidLongInputException(String s) { super(s); };
}
