/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         KqmlException.java
**
** Description:  Contains constructors for KqmlException class.  This
**               has been supplied to permit applications to catch 
**               all the developer visible KQML exceptions with one
**               catch statement, it's desirable to do so.
*/
package kqml;

/**
 * A convenience class provided so that application developers can
 * catch all developer visible KQML exceptions in one catch statement.
 *
 * @author Peter Stevens
 * @version $Revision: 1.2 $
 * @see Message
 * @see KqmlAgent
 */
public class KqmlException extends Exception
{
    // Constructors
    public KqmlException ()         { super (); }
    public KqmlException (String s) { super (s); };
}
