/* File: ACP3_With_Watcher.java
 * Contains: The main program for bin/acp3-with-watcher
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Tue Jan 27 04:03:28 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */


package oplan.acp3;

import oplan.util.*;


/** The ACP3 application viewer + Kqml-watcher main program. */

public class ACP3_With_Watcher extends ACP3 {

    static MainFrame mf;
    static KqmlWatcher watcher;

    public static void main(String[] argv) {

	printGreeting("ACP3 Viewer and KQML Watcher");

	// Create an object to represent the ACP3 application
	agent = new ACP3_With_Watcher();

	// Create a viewer
	mf = new MainFrame();

	// Create a Kqml watcher and let it take over.
	watcher = new KqmlWatcher(mf);
	watcher.init();
	watcher.watcherMainLoop();

    }

    protected void shutdown() {
	if (watcher != null)
	    watcher.shutdown();
	super.shutdown();
    }


}
