/*** File: SpecialNode.java
*** Contains: Class inherited from Node for things like start, 
***  finish, dummy...
*** Author: Steve Polyak <Steve_Polyak@ed.ac.uk>
*** Created: June 1997
*** Updated: Wed Jan 21 19:16:46 1998 by Jeff Dalton
*/

package oplan.acp3;

import java.util.*;
import java.awt.*;
// import Node;

// Rather than handle nodes by "types" I started
// to convert this over to a node hierarchy.
// The common draw code should be separated out
// and bubbled up into a common superclass.

class SpecialNode extends Node {
  SpecialNode(String key, int x, int y) {
    super(key, x, y);
  }	
  public void draw(Graphics g, FontMetrics fm) {
    int x = m_x;
    int y = m_y;
    
    if (m_selected)
      g.setColor(m_selectedColor);
    else if (m_beginSelected)
      g.setColor(m_beginSelectedColor);
    else
      g.setColor(m_statusColors[m_status]);
    
    int w = fm.stringWidth(m_lbl) + 10;
    int h = fm.getHeight() + 4;
    m_rect.width = w;
    m_rect.height = h;
    m_rect.x = x - w/2;
    m_rect.y = y - h / 2;
    g.fillOval(x - w/2, y - h / 2, w, h);
    
    if(m_beginFocus) 
      g.setColor(m_beginSelectedColor);
    else if (m_endFocus)
      g.setColor(m_endSelectedColor);
    else 
      g.setColor(Color.black);
    
    g.drawOval(x - w/2, y - h / 2, w-1, h-1);
    g.drawString(m_lbl, x - (w-10)/2, (y - (h-4)/2) + fm.getAscent());
  }
  
}

