/* File: VMQueue.java
 * Contains: ACP3 ViewMatrix Event Queue Object
 * Author: Austin Tate <a.tate@ed.ac.uk>
 * Created: Fri Jan 16 11:13:15 1998
 * Updated: Wed Jan 21 19:09:06 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.acp3;

import java.util.*;

public class VMQueue {

    Vector contents = new Vector();

    VMQueue () {
        super();
    }

    public synchronized void send(Object message) {
	contents.addElement(message);
        notifyAll();
    }

    public synchronized Object nextMessage() {
	while (contents.isEmpty()) {
	        try { wait(); }
		    catch (InterruptedException e) {}
		    }
	Object message = contents.elementAt(0);
	contents.removeElementAt(0);
	return message;
    }

}

