package oplan.util.lisp;

import java.io.*;
import oplan.util.*;


// Does not handle strings that extend over more than one line.  /\/
// Single quote is allowed in symbols (for now).  /\/

public class LispTokenizer extends StreamTokenizer {

    LispTokenizer(InputStream is) {
	super(is);
	init();
    }

    private void init() {
	// Lisp punctuation
        ordinaryChar('(');
        ordinaryChar(')');
	// Words
	{
	    String wchars = "!@$%^&*-_=+~:'<>/?";
	    char wc;
	    for (int i = 0; i < wchars.length(); i++) {
		wc = wchars.charAt(i);
		wordChars(wc, wc);
	    }
	}
	// comments
        commentChar(';');
	// String quote
        quoteChar('"');
	// Settings
	lowerCaseMode(true);
        parseNumbers();
    }

}
